- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Public Attributes | List of all members
qi::Gateway Class Reference

`#include <gateway.hpp>`

## Public Types
using | IdValidationStatus = ServiceDirectoryProxy::IdValidationStatus
using | ListenStatus = ServiceDirectoryProxy::ListenStatus
using | ConnectionStatus = ServiceDirectoryProxy::ConnectionStatus
using | Status = ServiceDirectoryProxy::Status

## Public Member Functions
| Gateway (bool enforceAuth=true)
| ~Gateway ()
UrlVector | endpoints () const
bool | listen (const Url &url)
Future< ListenStatus > | listenAsync (const Url &url)
bool | setIdentity (const std::string &key, const std::string &crt)
Future< IdValidationStatus > | setValidateIdentity (const std::string &key, const std::string &crt)
void | setAuthProviderFactory (AuthProviderFactoryPtr provider)
qi::Future< void > | attachToServiceDirectory (const Url &serviceDirectoryUrl)
void | close ()

## Public Attributes
Property< bool > & | connected
Property< Status > & | status

## Detailed Description

Definition at line 16 of file gateway.hpp.

## Member Typedef Documentation

using qi::Gateway::ConnectionStatus = ServiceDirectoryProxy::ConnectionStatus

Definition at line 24 of file gateway.hpp.

using qi::Gateway::IdValidationStatus = ServiceDirectoryProxy::IdValidationStatus

Definition at line 22 of file gateway.hpp.

using qi::Gateway::ListenStatus = ServiceDirectoryProxy::ListenStatus

Definition at line 23 of file gateway.hpp.

using qi::Gateway::Status = ServiceDirectoryProxy::Status

Definition at line 25 of file gateway.hpp.

## Constructor & Destructor Documentation

qi::Gateway::Gateway | ( | bool | enforceAuth = `true` | ) |

Parameters

  enforceAuth | If set to true, reject clients that try to skip the authentication step. If false, accept all incoming connections whether or not they authentify.

qi::Gateway::~Gateway | ( |  | ) |

## Member Function Documentation

qi::Future<void> qi::Gateway::attachToServiceDirectory | ( | const Url & | serviceDirectoryUrl | ) |

void qi::Gateway::close | ( |  | ) |

UrlVector qi::Gateway::endpoints | ( |  | ) | const

bool qi::Gateway::listen | ( | const Url & | url | ) |

Future<ListenStatus> qi::Gateway::listenAsync | ( | const Url & | url | ) |

void qi::Gateway::setAuthProviderFactory | ( | AuthProviderFactoryPtr | provider | ) |

bool qi::Gateway::setIdentity | ( | const std::string & | key,
|  | const std::string & | crt
| ) |  |

Future<IdValidationStatus> qi::Gateway::setValidateIdentity | ( | const std::string & | key,
|  | const std::string & | crt
| ) |  |

## Member Data Documentation

Property<bool>& qi::Gateway::connected

Definition at line 36 of file gateway.hpp.

Property<Status>& qi::Gateway::status

Definition at line 38 of file gateway.hpp.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqi/qi/messaging/gateway.hpp